<a routerLink="/products">back</a>
<button (click)="onBackClicked()">back</button>
<h1>Product {{product?.id}}</h1>
<span>{{product?.id}} - {{product?.name | uppercase}} {{product?.price | currency:'$'}} ({{product?.description}})</span>
